import tkinter as tk
import requests

text_widget = None

def view_source(url, text_widget):
  # Make the request
  response = requests.get(url)

  # Get the HTML source
  html_source = response.text

  # Delete the existing text in the text widget
  text_widget.delete(0.0, tk.END)

  # Insert the new HTML source into the text widget
  text_widget.insert("end", html_source)

def main():
  # Create the window
  window = tk.Tk()
  window.title("View Source")

  # Create the address label
  address_label = tk.Label(window, text="Address:")
  address_label.pack()

  # Create the address entry
  address_entry = tk.Entry(window)
  address_entry.pack()

  # Create the text widget
  global text_widget
  text_widget = tk.Text(window)
  text_widget.pack()

  # Create the view button
  view_button = tk.Button(window, text="View", command=lambda: view_source(address_entry.get(), text_widget))
  view_button.pack()

  # Show the window
  window.mainloop()

if __name__ == "__main__":
  main()